Announcement

Collapse
No announcement yet.

AMD 8.38.6 Display Driver Released -- The Least To Report On Driver In Two Years

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • AMD 8.38.6 Display Driver Released -- The Least To Report On Driver In Two Years

    Hitting the web this afternoon was the AMD 8.38.6 display driver. Introduced in this driver was official Red Hat Enterprise Linux 5 packaging scripts. Fixed in this driver was moving a video window between two monitors in a Big Desktop configuration no longer crashing the X.Org server and playing multiple videos when TexturedVideo is enabled no longer results in corruption.
    http://www.phoronix.com/vr.php?view=10310

    It's a very sad release

    Download: https://a248.e.akamai.net/f/674/9206...x86.x86_64.run

    Release Notes: https://a248.e.akamai.net/f/674/9206...ux_8.38.6.html

  • yoshi314
    replied
    Also Xvideo output is totally corrupted with 8.38.6.
    it's been this way since 8.36. if it weren't for xorg-server 1.3 incompatibility i would still be using 8.35

    Leave a comment:


  • maggot_brain
    replied
    Originally posted by sundown View Post
    You godda be kidding me
    Still can't understand people aiming for AIGLX when you have the above issue.
    I agree! Is there any way to fix this at all? It's driving me up the wall. Also Xvideo output is totally corrupted with 8.38.6.

    Leave a comment:


  • mlau
    replied
    Originally posted by Raven3x7 View Post
    CCC works for me btw
    It's a XCB issue (from the error I gather it is a xlib locking
    imbalance in the qt3 library the CCC is statically linked against)

    Leave a comment:


  • Raven3x7
    replied
    Hmm havent tried xv in a couple releases. Are you sue it works? I can confirm that fglrx wirks fine with xorg 1.3(probably vanilla) on Arch. CCC works for me btw

    Leave a comment:


  • mlau
    replied
    Originally posted by Nine View Post
    No, the latest driver will not run with the FC 7 X.
    What's so special about FC7's X server?
    The driver DOES run with xorg-server 1.3, latest linux rc release
    and quite well too (no problems with XVideo and Postal2 under
    wine)
    The CCC still won't run but I can live without it.

    Leave a comment:


  • Nine
    replied
    Hi,
    on my private computers i was finished with ati, or better i had and will never use ati gfx boards. The big shit is, that my firm is a "Thinkpad-buyer". I have a T43 with an ATI radeon x300.

    No, the latest driver will not run with the FC 7 X.

    I compiled it one hour ago. X still segfaults.

    No, i make no downgrade, i use the radeon module at the moment.

    Sadly, i do not know how to switch to powerstate 1 with the radeon
    driver.

    CU,
    Nine
    (not 9) Never trust a hippie

    Leave a comment:


  • d2kx
    replied
    The driver does work with Xorg Sever 1.3.

    Leave a comment:


  • yoshi314
    replied
    I had to laugh so hard when I read that ATI is interested in a Quake Wars linux client when not even Doom 3 works swiftly with fglrx.
    same here. i didn't laugh but i was unconvinced. doom3 and quake4 came out on linux, and what did ati do about it?

    i barely squeezed 10fps on x300 and ~15fps on x1300 on linux in d3 and q4 respectively. i know that those aren't fast cards, but that was really bad. i mean, my friend played those games with no problems on older ati cards. on windows, of course.

    i simply had to use ultra-high-fps-ultra-low-detail custom configs found on some gaming forums to actually play the games with acceptable fps.

    fortunately i don't game too much on pc. when opensource avivo driver gets some 2d acceleration (maybe also xv) and won't need fglrx to setup the registers first, i'll kiss fglrx goodbye for good.
    Last edited by yoshi314; 07-01-2007, 03:39 PM.

    Leave a comment:


  • tsukasa
    replied
    This version, just like the previous 4-5 months' releases, is a joke.

    I had to laugh so hard when I read that ATI is interested in a Quake Wars linux client when not even Doom 3 works swiftly with fglrx.

    What a f***ing joke! Who cares about "video tearing" when the driver doesn't even START on recent distributions?
    So~ true! But even if it would start on Xorg 1.3 the video tearing problem wouldn't matter for Xv is broken/unstable too. For several releases I might add. 8.33.* was the last time I could use Xv.

    Bugs and regressions, that's all ATI is capable of. I'm waiting for the release that blows up TV-out support so that I finally no more reason to use fglrx.

    Leave a comment:

Working...
X